#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,m;
    scanf("%d",&n);
    scanf("%d",&m);
    int dol[n],gor[n],l,d,x,c[m];
    for(int i=0;i<n;i++)
    {
        scanf("%d",&dol[i]);
        scanf("%d",&gor[i]);
    }
    for(int i=0;i<m;i++)
    {
        c[i]=0;
        scanf("%d",&l);
        l--;
        scanf("%d",&d);
        d--;
        scanf("%d",&x);
        for(int j=l;j<=d;j++)
        {
            if(dol[j]<=x && x<=gor[j])
            {
                c[i]++;
            }
        }
    }
    for(int i=0;i<m;i++)
    {
        printf("%d\n",c[i]);
    }
    return 0;
}